package net.northking.cctp.common.sequence;

import java.util.Map;

/**
 * 序列持久化接口
 */
public interface SequenceStorage
{

  /**
   * 保存序列
   *
   * @param key   序列名称（唯一）
   * @param value 序列的值
   */
  void save(String key, long value);

  /**
   * 获取所有的序列
   *
   * @return 序列
   */
  Map<String, Long> findAll();
}
